#
# spec file for package grubby
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           grubby
Version:        8.29
Release:        8.1
Summary:        Command line tool for updating bootloader configs
License:        GPL-2.0+
Group:          System Environment/Base
Url:            http://git.fedorahosted.org/git/grubby.git
# we only pull git snaps at the moment
# git clone git://git.fedorahosted.org/git/grubby.git
# git archive --format=tar --prefix=grubby-%{version}/ HEAD |bzip2 > grubby-%{version}.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  git
BuildRequires:  glib2-devel
BuildRequires:  libblkid-devel
BuildRequires:  pkgconfig
BuildRequires:  popt-devel
# for make test / getopt:
BuildRequires:  grub2
BuildRequires:  util-linux
%ifarch s390 s390x
Requires:       s390utils-base
%endif
%ifarch %{arm}
Requires:       uboot-tools
%endif

%description
grubby is a command line tool for updating and displaying information about 
the configuration files for the grub, lilo, elilo (ia64), yaboot (powerpc)  
and zipl (s390) boot loaders. It is primarily designed to be used from scripts
which install new kernels and need to find information about the current boot 
environment.

%prep
%setup -q

%build
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
# Remove installkernel as it is provided with mkinitrd package
rm $RPM_BUILD_ROOT/sbin/installkernel
rm $RPM_BUILD_ROOT%{_mandir}/man8/installkernel.8
%ifarch %{arm}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
install -p uboot $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/uboot
mkdir -p $RPM_BUILD_ROOT/boot
echo " " >> $RPM_BUILD_ROOT/boot/boot.scr
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
/sbin/new-kernel-pkg
/sbin/grubby
%{_mandir}/man8/*.8*
%ifarch %{arm}
%config(noreplace) %{_sysconfdir}/sysconfig/uboot
%config(noreplace) /boot/boot.scr
%endif

%changelog
* Thu Oct 10 2013 mlatimer@suse.com
- Update to version 8.29
- Delete suse-port.patch
* Thu Aug  8 2013 mlatimer@suse.com
- Initial version 8.25-1
- SUSE port - Added /boot/grub2/grub.cfg & /boot/grub2-efi/grub.cfg
  to grub2config file list (fate#315181)
